<?php

namespace FiloBlu\AddressFieldsLengthValidation\Block\Returns;

use Magento\Framework\View\Element\Template\Context;
use Magento\Framework\Data\Collection\ModelFactory;
use Magento\Eav\Model\Form\Factory;
use Magento\Eav\Model\Config;
use Magento\Rma\Model\ItemFactory;
use Magento\Rma\Model\Item\FormFactory;
use Magento\Rma\Helper\Data;
use Magento\Framework\Registry;
use Magento\Sales\Model\Order\Address\Renderer;
use Magento\Framework\App\ProductMetadataInterface;
use FiloBlu\Rma\Helper\EasyReturnHelper;

class Create extends \FiloBlu\Rma\Block\Returns\Create
{

    const SHIPPING_ADDRESS_TEMPLATE = 'FiloBlu_AddressFieldsLengthValidation::return/create/form.phtml';

    public function __construct(
        Context $context,
        ModelFactory $modelFactory,
        Factory $formFactory,
        Config $eavConfig,
        ItemFactory $itemFactory,
        FormFactory $itemFormFactory,
        Data $rmaData,
        Registry $registry,
        Renderer $addressRenderer,
        ProductMetadataInterface $productMetadata,
        EasyReturnHelper $easyReturnHelper,
        array $data = []
    ) {
        parent::__construct(
            $context,
            $modelFactory,
            $formFactory,
            $eavConfig,
            $itemFactory,
            $itemFormFactory,
            $rmaData,
            $registry,
            $addressRenderer,
            $productMetadata,
            $easyReturnHelper,
            $data
        );
    }
}
